﻿using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ProRestaurant.Models
{
    public class BaseObject
    {
        #region Properties
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key]
        public int Id { get; set; }
        public DateTime Created { get; set; } = DateTime.Now;
        public DateTime Modified { get; set; } = DateTime.Now;
        public string ModifiedBy { get; set; }
        #endregion

        #region Methods
        public virtual void UpdateModified(string modifiedBy)
        {
            Modified = DateTime.Now;
            if (string.IsNullOrEmpty(modifiedBy))
            {
                ModifiedBy = modifiedBy;
            }
        }
        #endregion 
    }
}
