﻿using Microsoft.EntityFrameworkCore;
using ProRestaurant.DBContexts;
using ProRestaurant.Models.Accounts;
using System;
using System.Collections.Generic;
using System.Linq;

namespace ProRestaurant.Repository.Accounts
{
    public class UserRepository : IUserRepository
    {
        private readonly DBContext dBContext;

        public UserRepository(DBContext _DB)
        {
            dBContext = _DB;
        }

        public User GetUser(Func<User, bool> where)
        {
            return dBContext.Users.Where(where).FirstOrDefault();
        }

        public IEnumerable<User> GetUsers()
        {
            return dBContext.Users.ToList();
        }

        public void Insert(User user)
        {
            dBContext.Add(user);
            Save();
        }

        public void Remove(User user)
        {
            dBContext.Users.Remove(user);
            Save();
        }

        public void Save()
        {
            dBContext.SaveChanges();
        }

        public void Update(User user)
        {
            dBContext.Entry(user).State = EntityState.Modified;
            Save();
        }
    }
}
